package com.zksy.WaterSupply.PipeNetworkStatistics.dto;

import lombok.Data;

import java.util.ArrayList;
import java.util.LinkedHashMap;
import java.util.List;
import java.util.Map;

@Data
public class PipeNetworkStatisticsDashboardDTO {
    private List<FacilityStatisticItemDTO> facilityOverview = new ArrayList<>();
    private Map<String, Object> pipeNetwork = new LinkedHashMap<>();
    private Map<String, Object> waterPlant = new LinkedHashMap<>();
    private Map<String, Object> pumpStation = new LinkedHashMap<>();
    private Map<String, Object> waterSource = new LinkedHashMap<>();
    private Map<String, Object> waterUser = new LinkedHashMap<>();
}
